Opened 4 years ago

Closed 4 years ago

#4552 task closed fixed (fixed)

Remove deprecated Options.optStrings

Reported by: thijs Owned by: thijs
Priority: lowest Milestone:
Component: core Keywords:
Cc: thijs, cyli, ivank-twisted-bugs@… Branch:
Author: thijs Launchpad Bug:

Description (last modified by thijs)

See the deprecation warning in trunk/twisted/python/usage.py#L301, added at least 7 years ago (r9908).

Attachments (1)

optStrings-4552.patch (956 bytes) - added by thijs 4 years ago.

Download all attachments as: .zip

Change History (7)

comment:1 Changed 4 years ago by exarkun

  • Priority changed from normal to lowest

comment:2 Changed 4 years ago by <automation>

  • Owner glyph deleted

comment:3 Changed 4 years ago by thijs

  • Description modified (diff)
  • Owner set to thijs
  • Status changed from new to assigned

Changed 4 years ago by thijs

comment:4 Changed 4 years ago by thijs

  • Author set to thijs
  • Keywords review added
  • Owner thijs deleted
  • Status changed from assigned to new

comment:5 Changed 4 years ago by ivank

  • Cc ivank-twisted-bugs@… added
  • Keywords review removed
  • Owner set to thijs
  1. Please add "Use optParameters instead." to the news file, just in case someone still uses this.

Otherwise, looks good for merging.

comment:6 Changed 4 years ago by exarkun

  • Resolution set to fixed
  • Status changed from new to closed

(In [31902]) Remove support for deprecated Options.optStrings feature

Author: thijs
Reviewer: ivank
Fixes: #4552

Options.optStrings is no longer supported, having long since been
superceded by Options.optParameters.

Note: See TracTickets for help on using tickets.